//
//  Product.h
//  ProductsWithClass
//
//  Created by JP Vergara on 12/11/12.
//  Copyright (c) 2012 JP Vergara. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface Product : NSObject

@property NSString *name;
@property NSString *imgFileName;
@property(readonly) int stockLevel;

-(id) initWithName:(NSString *) productName andFileName: (NSString *)imageFileName;
-(void) acceptDelivery:(int) qty;
-(void) releaseStock:(int) qty;

@end
